<div class="min-w-full p-2">
    <form class="flex flex-col w-full" [formGroup]="addValue" (ngSubmit)="onFormSubmit(addValue.value)">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                 {{lblHeading}} 
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

                <div class="w-full">
                    <div class="flex w-full">
                        <div class="w-full"> <!-- added new -->
                            <div><!-- added new -->
                                <div class="flex flex-col"><!-- added new -->
                                    <div class="flex w-full items-end">
                                        <mat-form-field class="w-1/3 pr-2">
                                            <mat-label>{{lblMaxLenFormat}}</mat-label>
                                            <mat-select [value]="1" formControlName="format" (selectionChange)= "selectedFormat($event, 2)" placeholder="Select from Dropdown">
                                                <mat-option  *ngFor="let DataType of attributeFormateValueList" [value]="DataType.value" >
                                                    {{DataType.value}}
                                                </mat-option>
                                            </mat-select>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <!-- <button class="sm:inline-flex ml-4 mb-4" mat-stroked-button [color]="'primary'">
                                            <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                                            <span class="mr-8 ml-4">Search</span>
                                        </button> -->
                                    </div>
                                    <div class="flex flex-col w-full" formArrayName="attributeValues">
                                        <div *ngFor="let item of attributeValues.controls; let i=index"><!-- added new -->
                                            <div [formGroupName]="i" class="flex"><!-- added new -->

                                                <!-- This is the dateTime picker -->
                                                <!-- addValue.value.format contains the format -->
                                                
                                                <mat-form-field *ngIf="attributeData.dataTypeName==='Date'" class="w-1/3 pr-2" >
                                                    <mat-label>Add Values</mat-label>
                                                    <input type="hidden" formControlName="id">
                                                    <input  matInput [ngxMatDatetimePicker]="picker" placeholder="Choose a date" formControlName="attrValue">
                                                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                                    <ngx-mat-datetime-picker #picker [showSpinners]="showSpinners" [enableMeridian]="enableMeridian">
                                                    </ngx-mat-datetime-picker>
                                                 </mat-form-field>
                                                 

                                                
                                                <mat-form-field *ngIf=" attributeData.dataTypeName ==='Number' && addValue.value.format ==='Decimal'"   [class.has-error]="!submitValidation" (keypress)="keyPressNumbersWithDecimal($event)" class="w-1/3 pr-2">
                                                    <mat-label>Add Values</mat-label>
                                                    <input type="text"  matInput formControlName="attrValue">
                                                    <mat-hint *ngIf="!submitValidation">Invalid Input {{ErrorPromptDecimal}}</mat-hint>
                                                </mat-form-field>
                                                <mat-form-field *ngIf=" attributeData.dataTypeName ==='Number' && addValue.value.format ==='Percentage'"   [class.has-error]="!submitValidation" (keypress)="keyPressNumbersWithDecimal($event)" class="w-1/3 pr-2">
                                                    <mat-label>Add Values</mat-label>
                                                    <input type="text"   matInput formControlName="attrValue">
                                                    <div>%</div>
                                                    <mat-hint *ngIf="!submitValidation">Invalid Input {{ErrorPromptDecimal}}</mat-hint>
                                                </mat-form-field>
                                                <mat-form-field *ngIf=" attributeData.dataTypeName ==='Number' && addValue.value.format ==='Currency'"   [class.has-error]="!submitValidation" (keypress)="keyPressNumbersWithDecimal($event)" class="w-1/3 pr-2">
                                                    <mat-label>Add Values</mat-label>
                                                    <input type="text"   matInput formControlName="attrValue">
                                                    <mat-hint *ngIf="!submitValidation">Invalid Input {{ErrorPromptCurrency}}</mat-hint>
                                                </mat-form-field>

                                                <mat-form-field *ngIf="attributeData.dataTypeName==='Text' || attributeData.dataTypeName ==='Dropdown List'"  class="w-1/3 pr-2">
                                                    <mat-label>Add Values</mat-label>
                                                    <input type="text"  [maxlength]="addValue.value.format" matInput formControlName="attrValue">
                                                    <mat-hint *ngIf="!submitValidation">Invalid Input {{ErrorPromptText}}</mat-hint>
                                                </mat-form-field>
                                                
                                                <!-- <div *ngIf=[class.has-error]>
                                                    <mat-hint>Invalid Inputs</mat-hint>
                                                </div> -->
                                                <mat-form-field *ngIf="attributeData.dataTypeName==='Sql'" class="w-1/2 pr-2 ">
                                                    <mat-label>Add Values</mat-label>
                                                    <textarea matInput formControlName="attrValue"></textarea>
                                                </mat-form-field>

                                                <button (click)="removeValueAt(i)" mat-icon-button class="mt-7"><mat-icon color="warn" class="icon-size-5" svgIcon="heroicons_outline:trash"></mat-icon></button>

                                        </div>
                                    </div>
                                        <button type="button" class="sm:inline-flex mr-auto" mat-stroked-button [color]="'primary'" (click)="addValueField()">
                                            <mat-icon class="icon-size-5 ml-8 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                            <span class="mr-8">Add Value</span>
                                        </button>
                                    </div>
                                  <!--   <button class="sm:inline-flex ml-auto" mat-stroked-button [color]="'primary'" type="button">
                                        <span class="mx-4">Validate</span>
                                    </button> -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-stroked-button [color]="'primary'" type="button" (click)="GotoAddValueOverlay()">
                <span class="mx-4">Previous</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
